Bug 854266 - abrt should open its cache files for append, not write.
abrt should open its cache files for append, not write.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
: 854848 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 10:26 EDT by Daniel Walsh
Modified: 2014-02-05 18:22 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:22:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2012-09-04 10:26:12 EDT
I am seeing the following AVC message.

time->Tue Sep  4 10:01:57 2012
type=PATH msg=audit(1346767317.477:404): item=1 name=(null) inode=1864736 dev=fd:00 mode=0100755 ouid=0 ogid=0 rdev=00:00 obj=system_u:object_r:ld_so_t:s0
type=PATH msg=audit(1346767317.477:404): item=0 name="/usr/bin/dmesg" inode=1846668 dev=fd:00 mode=0100755 ouid=0 ogid=0 rdev=00:00 obj=system_u:object_r:dmesg_exec_t:s0
type=CWD msg=audit(1346767317.477:404):  cwd="/var/spool/abrt/oops-2012-09-04-10:01:06-10405-1"
type=EXECVE msg=audit(1346767317.477:404): argc=1 a0="dmesg"
type=SYSCALL msg=audit(1346767317.477:404): arch=c000003e syscall=59 success=yes exit=0 a0=12fbce0 a1=12fbd80 a2=12fa3b0 a3=10 items=2 ppid=10703 pid=10706 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dmesg" exe="/usr/bin/dmesg" subj=system_u:system_r:dmesg_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1346767317.477:404): avc:  denied  { write } for  pid=10706 comm="dmesg" path="/var/spool/abrt/oops-2012-09-04-10:01:06-10405-1/dmesg" dev="dm-0" ino=655750 scontext=system_u:system_r:dmesg_t:s0-s0:c0.c1023 tcontext=system_u:object_r:abrt_var_cache_t:s0 tclass=file

We allow all domains to append to all inherited cache files but not write.
Comment 1 Denys Vlasenko 2012-09-20 07:26:08 EDT
This comes from koops_event.conf:

# analyze
EVENT=post-create analyzer=Kerneloops
        abrt-action-analyze-oops &&
        dmesg >dmesg &&
        abrt-action-generate-core-backtrace
        abrt-action-save-kernel-data

"dmesg >dmesg" command.
I don't see anything wrong with it.
Comment 2 Daniel Walsh 2012-09-26 17:17:44 EDT
dmesg >> dmesg

Would be allowed.

But we can add this rule if necessary.
Comment 3 Jiri Moskovcak 2012-10-01 04:17:58 EDT
*** Bug 854848 has been marked as a duplicate of this bug. ***
Comment 4 David Kutálek 2012-10-01 07:14:20 EDT
ABRT TEST DAY
Please disregard.


Package: (null)
OS Release: Fedora release 18 (Spherical Cow)
Comment 5 D. Charles Pyle 2012-10-02 00:07:34 EDT
I was just browsing the file system with Nautilus when I saw this come up. I do not know what caused it.

Package: (null)
OS Release: Fedora release 18 (Spherical Cow)
Comment 6 Jiri Moskovcak 2012-10-02 03:33:44 EDT
commit 0932d8a9bb56dd2eabad2a2f419f17786d0b78d9
Author: Jiri Moskovcak <jmoskovc@redhat.com>
Date:   Tue Oct 2 09:33:14 2012 +0200

    open files for appned not for write rhbz#854266
    
    - somehow it's more acceptable for selinux
Comment 7 Fedora Update System 2012-10-05 06:47:09 EDT
abrt-2.0.14-1.fc17,libreport-2.0.15-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.14-1.fc17,libreport-2.0.15-1.fc17
Comment 8 Fedora Update System 2012-10-05 23:47:47 EDT
Package abrt-2.0.14-1.fc17, libreport-2.0.15-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.14-1.fc17 libreport-2.0.15-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15498/abrt-2.0.14-1.fc17,libreport-2.0.15-1.fc17
then log in and leave karma (feedback).
Comment 9 D. Charles Pyle 2012-10-06 04:19:49 EDT
Will this also be fixed in Fedora 18-Alpha? I just applied a number of updates that included abrt and libreport with dependencies. These all had the same versions as those you list above.
Comment 10 Fedora Update System 2012-10-07 22:25:35 EDT
Package libreport-2.0.15-1.fc17, abrt-2.0.14-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreport-2.0.15-1.fc17 abrt-2.0.14-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15498/abrt-2.0.14-2.fc17,libreport-2.0.15-1.fc17
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-02-05 08:38:26 EST
abrt-2.1.0-1.fc17,libreport-2.1.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.1.0-1.fc17,libreport-2.1.0-2.fc17
Comment 12 Fedora Update System 2013-03-20 04:42:27 EDT
abrt-2.1.2-1.fc17,libreport-2.1.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.1.2-1.fc17,libreport-2.1.2-1.fc17
Comment 13 Fedora End Of Life 2013-12-21 10:49:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2014-02-05 18:22:18 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.